# Copyright (c) 2016, 2021, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

module OCI
  module Opsi
    # Module containing models for requests made to, and responses received from,
    # OCI Opsi services
    module Models
    end
  end
end

# Require models
require 'oci/opsi/models/action_type'
require 'oci/opsi/models/autonomous_database_insight'
require 'oci/opsi/models/autonomous_database_insight_summary'
require 'oci/opsi/models/change_database_insight_compartment_details'
require 'oci/opsi/models/change_enterprise_manager_bridge_compartment_details'
require 'oci/opsi/models/change_host_insight_compartment_details'
require 'oci/opsi/models/connection_details'
require 'oci/opsi/models/create_database_insight_details'
require 'oci/opsi/models/create_em_managed_external_database_insight_details'
require 'oci/opsi/models/create_enterprise_manager_bridge_details'
require 'oci/opsi/models/create_host_insight_details'
require 'oci/opsi/models/create_macs_managed_external_host_insight_details'
require 'oci/opsi/models/credential_details'
require 'oci/opsi/models/credentials_by_source'
require 'oci/opsi/models/db_external_instance'
require 'oci/opsi/models/db_external_properties'
require 'oci/opsi/models/dbos_config_instance'
require 'oci/opsi/models/database_configuration_metric_group'
require 'oci/opsi/models/database_details'
require 'oci/opsi/models/database_entity_source'
require 'oci/opsi/models/database_entity_source_all'
require 'oci/opsi/models/database_insight'
require 'oci/opsi/models/database_insight_summary'
require 'oci/opsi/models/database_insights'
require 'oci/opsi/models/database_insights_collection'
require 'oci/opsi/models/em_managed_external_database_insight'
require 'oci/opsi/models/em_managed_external_database_insight_summary'
require 'oci/opsi/models/enable_database_insight_details'
require 'oci/opsi/models/enable_em_managed_external_database_insight_details'
require 'oci/opsi/models/enable_host_insight_details'
require 'oci/opsi/models/enable_macs_managed_external_host_insight_details'
require 'oci/opsi/models/enterprise_manager_bridge'
require 'oci/opsi/models/enterprise_manager_bridge_collection'
require 'oci/opsi/models/enterprise_manager_bridge_summary'
require 'oci/opsi/models/enterprise_manager_bridges'
require 'oci/opsi/models/historical_data_item'
require 'oci/opsi/models/host_configuration_metric_group'
require 'oci/opsi/models/host_cpu_hardware_configuration'
require 'oci/opsi/models/host_cpu_statistics'
require 'oci/opsi/models/host_cpu_usage'
require 'oci/opsi/models/host_details'
require 'oci/opsi/models/host_entities'
require 'oci/opsi/models/host_entity_source'
require 'oci/opsi/models/host_hardware_configuration'
require 'oci/opsi/models/host_insight'
require 'oci/opsi/models/host_insight_resource_statistics_aggregation'
require 'oci/opsi/models/host_insight_summary'
require 'oci/opsi/models/host_insight_summary_collection'
require 'oci/opsi/models/host_insights'
require 'oci/opsi/models/host_instance_map'
require 'oci/opsi/models/host_memory_configuration'
require 'oci/opsi/models/host_memory_statistics'
require 'oci/opsi/models/host_memory_usage'
require 'oci/opsi/models/host_network_activity_summary'
require 'oci/opsi/models/host_network_configuration'
require 'oci/opsi/models/host_performance_metric_group'
require 'oci/opsi/models/host_product'
require 'oci/opsi/models/host_resource_allocation'
require 'oci/opsi/models/host_resource_capacity_trend_aggregation'
require 'oci/opsi/models/host_resource_statistics'
require 'oci/opsi/models/hosted_entity_collection'
require 'oci/opsi/models/hosted_entity_summary'
require 'oci/opsi/models/importable_enterprise_manager_entity'
require 'oci/opsi/models/importable_enterprise_manager_entity_collection'
require 'oci/opsi/models/ingest_database_configuration_details'
require 'oci/opsi/models/ingest_database_configuration_response_details'
require 'oci/opsi/models/ingest_host_configuration_details'
require 'oci/opsi/models/ingest_host_configuration_response_details'
require 'oci/opsi/models/ingest_host_metrics_details'
require 'oci/opsi/models/ingest_host_metrics_response_details'
require 'oci/opsi/models/ingest_sql_bucket_details'
require 'oci/opsi/models/ingest_sql_bucket_response_details'
require 'oci/opsi/models/ingest_sql_plan_lines_details'
require 'oci/opsi/models/ingest_sql_plan_lines_response_details'
require 'oci/opsi/models/ingest_sql_text_details'
require 'oci/opsi/models/ingest_sql_text_response_details'
require 'oci/opsi/models/lifecycle_state'
require 'oci/opsi/models/macs_managed_external_database_insight'
require 'oci/opsi/models/macs_managed_external_database_insight_summary'
require 'oci/opsi/models/macs_managed_external_host_insight'
require 'oci/opsi/models/macs_managed_external_host_insight_summary'
require 'oci/opsi/models/operation_status'
require 'oci/opsi/models/operation_type'
require 'oci/opsi/models/projected_data_item'
require 'oci/opsi/models/resource_capacity_trend_aggregation'
require 'oci/opsi/models/resource_insight_current_utilization'
require 'oci/opsi/models/resource_insight_projected_utilization'
require 'oci/opsi/models/resource_insight_projected_utilization_item'
require 'oci/opsi/models/resource_statistics'
require 'oci/opsi/models/resource_statistics_aggregation'
require 'oci/opsi/models/resource_status'
require 'oci/opsi/models/resource_usage_trend_aggregation'
require 'oci/opsi/models/sort_order'
require 'oci/opsi/models/sql_bucket'
require 'oci/opsi/models/sql_insight_aggregation'
require 'oci/opsi/models/sql_insight_aggregation_collection'
require 'oci/opsi/models/sql_insight_thresholds'
require 'oci/opsi/models/sql_inventory'
require 'oci/opsi/models/sql_plan_collection'
require 'oci/opsi/models/sql_plan_insight_aggregation'
require 'oci/opsi/models/sql_plan_insight_aggregation_collection'
require 'oci/opsi/models/sql_plan_insights'
require 'oci/opsi/models/sql_plan_line'
require 'oci/opsi/models/sql_plan_summary'
require 'oci/opsi/models/sql_response_time_distribution_aggregation'
require 'oci/opsi/models/sql_response_time_distribution_aggregation_collection'
require 'oci/opsi/models/sql_search_collection'
require 'oci/opsi/models/sql_search_summary'
require 'oci/opsi/models/sql_statistic_aggregation'
require 'oci/opsi/models/sql_statistic_aggregation_collection'
require 'oci/opsi/models/sql_statistics'
require 'oci/opsi/models/sql_statistics_time_series'
require 'oci/opsi/models/sql_statistics_time_series_aggregation'
require 'oci/opsi/models/sql_statistics_time_series_aggregation_collection'
require 'oci/opsi/models/sql_statistics_time_series_by_plan_aggregation'
require 'oci/opsi/models/sql_statistics_time_series_by_plan_aggregation_collection'
require 'oci/opsi/models/sql_text'
require 'oci/opsi/models/sql_text_collection'
require 'oci/opsi/models/sql_text_summary'
require 'oci/opsi/models/summarize_database_insight_resource_capacity_trend_aggregation_collection'
require 'oci/opsi/models/summarize_database_insight_resource_forecast_trend_aggregation'
require 'oci/opsi/models/summarize_database_insight_resource_statistics_aggregation_collection'
require 'oci/opsi/models/summarize_database_insight_resource_usage_aggregation'
require 'oci/opsi/models/summarize_database_insight_resource_usage_trend_aggregation_collection'
require 'oci/opsi/models/summarize_database_insight_resource_utilization_insight_aggregation'
require 'oci/opsi/models/summarize_database_insight_tablespace_usage_trend_aggregation_collection'
require 'oci/opsi/models/summarize_host_insight_resource_capacity_trend_aggregation_collection'
require 'oci/opsi/models/summarize_host_insight_resource_forecast_trend_aggregation'
require 'oci/opsi/models/summarize_host_insight_resource_statistics_aggregation_collection'
require 'oci/opsi/models/summarize_host_insight_resource_usage_aggregation'
require 'oci/opsi/models/summarize_host_insight_resource_usage_trend_aggregation_collection'
require 'oci/opsi/models/summarize_host_insight_resource_utilization_insight_aggregation'
require 'oci/opsi/models/summary_statistics'
require 'oci/opsi/models/tablespace_usage_trend'
require 'oci/opsi/models/tablespace_usage_trend_aggregation'
require 'oci/opsi/models/update_autonomous_database_insight_details'
require 'oci/opsi/models/update_database_insight_details'
require 'oci/opsi/models/update_em_managed_external_database_insight_details'
require 'oci/opsi/models/update_enterprise_manager_bridge_details'
require 'oci/opsi/models/update_host_insight_details'
require 'oci/opsi/models/update_macs_managed_external_database_insight_details'
require 'oci/opsi/models/update_macs_managed_external_host_insight_details'
require 'oci/opsi/models/usage_unit'
require 'oci/opsi/models/work_request'
require 'oci/opsi/models/work_request_collection'
require 'oci/opsi/models/work_request_error'
require 'oci/opsi/models/work_request_error_collection'
require 'oci/opsi/models/work_request_log_entry'
require 'oci/opsi/models/work_request_log_entry_collection'
require 'oci/opsi/models/work_request_resource'
require 'oci/opsi/models/work_requests'

# Require generated clients
require 'oci/opsi/operations_insights_client'
require 'oci/opsi/operations_insights_client_composite_operations'

# Require service utilities
require 'oci/opsi/util'
